Python 3 - build failed when installing from PyPi

Issue #210 duplicate
Kotra Faren created an issue

Hello,

I'm trying to install rpy2 using pip but build failed with

error: command 'gcc' failed with exit status 1

please see out.log for additional info.

Version of python interpreter is 3.4.1 and r is 3.1.0-2.

Installed packages:

beautifulsoup4 (4.3.2)
brewer2mpl (1.4)
Cython (0.20.1)
docutils (0.11)
ggplot (0.5.8)
ipython (2.0.0)
Jinja2 (2.7.2)
MarkupSafe (0.19)
matplotlib (1.3.1)
nose (1.3.1)
numpy (1.8.1)
pandas (0.14.0)
patsy (0.2.1)
pip (1.5.4)
pip-tools (0.3.4)
plotly (1.0.10)
PyBrain (0.3.1)
Pygments (1.6)
pyparsing (2.0.1)
pysodium (0.6.1)
python-dateutil (2.2)
pytz (2014.4)
pyzmq (14.3.0)
requests (2.2.1)
scikit-learn (0.15-git)
scipy (0.14.0)
seaborn (0.3.1)
setuptools (2.2)
six (1.6.1)
Sphinx (1.2.2)
statsmodels (0.6.0)
tornado (3.2)

Comments (4)

  1. Kotra Faren reporter

    By the way - it works OK with Python 2.7.

    Can I expect there will be some fix in near future? I'm asking because I'd need to switch to working version of Python. rpy2 is crucial for me right now. Thank you for your great work!

  2. Log in to comment